Batch Real-Time Tick
Provides batch real-time tick data streams for exchange-traded ETFs and LOFs, fully presenting transaction details for multiple funds. Supports multiple time periods from minute lines to monthly lines, with data containing millisecond-accurate timestamps, transaction prices, trading volumes and buy/sell directions, continuously updated in real-time.
GET
/fund/ticksRequest Parameters
regionenumRequiredMarket code
codesstringRequiredProduct code(s). Separate multiple products with commas. The maximum supported quantity varies by plan: Base: 10, Professional: 20, Premium: 50, Enterprise: custom
Response Parameters
codenumberResponse code
msgstringResponse description
dataobject▶Response result
sstringSymbol code
ldnumberLatest price
tnumberTimestamp of the latest trade
vnumberTransaction volume
Code Examples
import requests
url = "https://api.itick.org/fund/ticks?region=US&codes=QQQ,IEF"
headers = {
"accept": "application/json"
"token": "Your Token"
}
response = requests.get(url, headers=headers)
print(response.text)Query URL
GET
https://api.itick.org/fund/ticks?region=US&codes=QQQ,IEF, Run query
Response Result
{
"code": 0,
"msg": null,
"data": {
"QQQ": {
"s": "QQQ",
"ld": 553.88,
"t": 1754092799000, // 2025-08-01 23:59:59 UTC
"v": 11888
},
"IEF": {
"s": "IEF",
"ld": 95.68,
"t": 1754091630000, // 2025-08-01 23:40:30 UTC
"v": 10
}
}
}